include (jslib_dirutils);
include (jslib_prefs);

function MozImagePrefs() 
{
  var dirUtils = new DirUtils();

  this.prefs = new Prefs();
  this.homeDir = this.prefs.getChar("mozimage.home_directory");
  this.autoSize = this.prefs.getBool("mozimage.autosize");
  this.extList = new Array("jpg", "jpeg", "gif", "bmp", "png");
  this.delay = 2000;
  
  if (this.homeDir == "")
    this.homeDir = dirUtils.getCurProcDir();
}

MozImagePrefs.prototype = {

getHomeDir : 
  function () { return(this.homeDir); },

setHomeDir : 
  function (aValue) { this.homeDir = aValue; },

getExtList : 
  function () { return(this.extList); },

setExtList : 
  function (aValue) { this.extList = aValue; },

getAutoSize : 
  function () { return(Boolean(this.autoSize)); },

setAutoSize : 
  function (aValue) { this.autoSize = Boolean(aValue); },

getDelay : 
  function () { return(Number(this.delay)); },

setDelay : 
  function (aValue) { this.delay = Number(aValue); },

save : 
  function () {
    this.prefs.setChar("mozimage.home_directory", this.homeDir); 
    this.prefs.setBool("mozimage.autosize", this.autoSize); 
  }

} // END CLASS

/*
**
** Predefined instance of the preferences class
** do not use any other instances
**
*/

prefs = new MozImagePrefs();

